
QGIS Application - Bug report #7226

All attempts to specify a project, layer or default coordinate reference system (CRS)from any 

available menu or dialog box causes QGIS to crash

2013-02-23 10:09 AM - Charles Petersen

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:1.8.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 16257

Description

All attempts to specify a project, layer or default coordinate reference system (CRS)from any available menu or dialog box causes QGIS

to crash, even after all plug-ins have been disabled.

History

#1 - 2013-02-23 10:28 AM - Giovanni Manghi

- Status changed from Open to Feedback

try (backup) and remove the .qgis folder.

What is the attached .exe file?

#2 - 2013-02-23 10:56 AM - Charles Petersen

Thanks for the feedback. I moved the .qgis folder to a flash drive,d restarted QGIS, and attempted to specify a CRS but the program crashed again.

Here is the error message from Win 7:

Problem signature:

  Problem Event Name:    APPCRASH

  Application Name:    qgis.exe

  Application Version:    0.0.0.0

  Application Timestamp:    4fdce845

  Fault Module Name:    QtCore4.dll

  Fault Module Version:    4.7.1.0

  Fault Module Timestamp:    4d530715

  Exception Code:    c0000005

  Exception Offset:    000025bf

  OS Version:    6.1.7601.2.1.0.256.48

  Locale ID:    1033

  Additional Information 1:    0a9e

  Additional Information 2:    0a9e372d3b4ad19135b953a78882e789

  Additional Information 3:    0a9e

  Additional Information 4:    0a9e372d3b4ad19135b953a78882e789

I have no idea what the attached file is. I thought I was attaching QGIS.exe, but maybe the above information is more useful.
#3 - 2013-02-23 11:02 AM - Giovanni Manghi

- File deleted (nircmd.exe)

#4 - 2013-02-23 11:04 AM - Giovanni Manghi

try re-installing the program?

something seems wrong with

Fault Module Name: QtCore4.dll

#5 - 2013-02-23 11:09 AM - Charles Petersen

I will reinstall the program, although I must say I have already done that. I assume that QtCore4.dll is a QGIS module.

#6 - 2013-02-23 11:16 AM - Giovanni Manghi

Charles Petersen wrote:

I will reinstall the program, although I must say I have already done that. I assume that QtCore4.dll is a QGIS module.

seems anyway a local issue, try see if you other copies of that library around in your system.

#7 - 2013-02-23 11:24 AM - Charles Petersen

I think you might be right. I will check for the .qgis folder elsewhere in my system. Right now, however, I'm reinstalling QGIS

#8 - 2013-02-23 12:32 PM - Charles Petersen

I looked for other .qgis folders on my entire 1TB hard drive, but found none. After confirming that there was no .qgis folder in the directory where it is

normally found, I reinstalled QGIS, and then ran the program without installing any additional plugins other than the ones available through the basic

installation. Once again, unfortunately, it crashed when I tried to specify a CRS. The error message pointed to the same fault module (QtCore4.dll). If the

problem is local, it doesn't look like it has anything to do with the .qgis folder.

#9 - 2013-02-23 12:59 PM - Giovanni Manghi

Charles Petersen wrote:

I looked for other .qgis folders on my entire 1TB hard drive, but found none. After confirming that there was no .qgis folder in the directory where it is

normally found, I reinstalled QGIS, and then ran the program without installing any additional plugins other than the ones available through the basic

installation. Once again, unfortunately, it crashed when I tried to specify a CRS. The error message pointed to the same fault module (QtCore4.dll).

If the problem is local, it doesn't look like it has anything to do with the .qgis folder.

look for other QtCore4.dll copies. the .qgis folder is just one and does not contain that library.
#10 - 2013-06-02 08:51 AM - Giovanni Manghi

- Subject changed from CRS Specification to All attempts to specify a project, layer or default coordinate reference system (CRS)from any available 

menu or dialog box causes QGIS to crash

#11 - 2013-07-19 03:21 PM - Jürgen Fischer

- Priority changed from High to Normal

#12 - 2013-11-21 11:25 PM - Matthias Kuhn

Is this still an issue for somebody?

#13 - 2013-11-22 01:41 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback.
